> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get measurement and verification project details

> Request measurement and verification project details for a list of projectIds



## OpenAPI

````yaml /tango_watchwire/integrations/guides/watchwire-api.yaml post /mv/projects/{projectIds}
openapi: 3.1.0
info:
  title: WatchWire API
  version: 1.0.0
  description: >-
    The WatchWire Platform has APIs that allow you to access your data
    programmatically. There are several APIs designed for the modules in the
    WatchWire platform including - Invoice Data, Real-Time, Accounts Payable,
    and Measurement & Verification. All are highly scalable, and secure APIs
    that communicate over HTTPS RESTful protocols with JSON based documents.


    > **Note**: Not all WatchWire modules are available as an API.


    # Authentication


    You need credentials to access the APIs - it is the same credentials as your
    WatchWire login. The `/authenticate` will return a Token that needs to be
    included in the header of every subsequent request. The token renews with
    each request and expires after 60 minutes of inactivity (at which point you
    will need to re-authenticate and get a new token).


    > Please contact the WatchWire team for any questions or request for API
    credential access.


    # Error Codes


    There will be various error codes specific to the API you are using, but
    generally follows these principles:


    *   `Unauthorized` - *you are unauthenticated or unauthorized to request
    actions on an asset*

    *   `Asset doesn't exist` - *the item you are querying for doesn't exist*

    *   `Server error`\- *general exception raised in our application code*
        

    # Rate limit


    Rate limited to 10 transactions per meter / second
servers:
  - url: https://auth.replace-me.example.com
    description: Authentication service (Postman variable {{ww-api-baseurl}})
  - url: https://realtime.replace-me.example.com
    description: RealTime API (Postman variable {{gateway-realtime-api}})
  - url: https://ap.replace-me.example.com
    description: Accounts Payable API (Postman variable {{gateway-ap-api}})
  - url: https://invoice.replace-me.example.com
    description: Invoice API (Postman variable {{portal-api-baseurl}})
  - url: https://mv.replace-me.example.com
    description: Measurement & Verification API (Postman variable {{invoice-api}})
security:
  - BearerAuth: []
tags:
  - name: Authentication
  - name: RealTime API - Custom Meter
  - name: RealTime API - Meter Readings
  - name: RealTime API - Meter Readings Aggregations
  - name: RealTime API - Meter Readings Batch Operations
  - name: RealTime API - Obvius Meter Readings
  - name: Accounts Payable API - Audit Statements
  - name: Accounts Payable API - Nexus Statements
  - name: Accounts Payable API - Standard Statements
  - name: Accounts Payable API - Statement PDFs
  - name: Invoice API - Reference IDs
  - name: Invoice API - Invoice
  - name: Measurement & Verification API - M&V
paths:
  /mv/projects/{projectIds}:
    post:
      tags:
        - Measurement & Verification API - M&V
      summary: Get measurement and verification project details
      description: >-
        Request measurement and verification project details for a list of
        projectIds
      operationId: getMeasurementAndVerificationProjectDetails
      parameters:
        - name: projectIds
          in: path
          required: true
          schema:
            type: string
          description: Comma separated Project IDs of measurement and verification projects
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        projectId:
                          type: integer
                        energyUnit:
                          type: string
                        name:
                          type: string
                        energyRate:
                          type: number
                        energyCommitment:
                          type: number
                        remainingCommitment:
                          type: number
                        totalUsageSavings:
                          type: number
                        totalCostAvoidance:
                          type: number
                        totalCarbonImpact:
                          type: number
                        totalRetainedSavings:
                          type: number
                        monthlyBreakdown:
                          type: array
                          items:
                            type: object
                            properties:
                              monthYear:
                                type: string
                              monthlyProjectedUsage:
                                type: number
                              monthlyBaseline:
                                type: number
                              monthlyWeatherAdj:
                                type: number
                              useSavings:
                                type: number
                              costSavings:
                                type: number
                              costPerKwh:
                                type: number
                              projectedCost:
                                type: number
                              historicalBaseline:
                                type: number
                              historicalWeatherAdj:
                                type: number
                              carbonImpact:
                                type: number
                              actualUsage:
                                type: number
                              actualCost:
                                type: number
                              savedEnergyPayment:
                                type: number
                              retainedSavings:
                                type: number
                              month:
                                type: integer
                              year:
                                type: integer
              example:
                projects:
                  - projectId: 74368858
                    energyUnit: fugiat sunt aliquip
                    name: quis et cillum laborum
                    energyRate: -10376013.663538113
                    energyCommitment: 46421382.33169901
                    remainingCommitment: 57966680.93217087
                    totalUsageSavings: -87605593.80103698
                    totalCostAvoidance: 63427154.611405015
                    totalCarbonImpact: 76694930.27435297
                    totalRetainedSavings: 16681948.501847848
                    monthlyBreakdown:
                      - monthYear: Jan 2016
                        monthlyProjectedUsage: -39728550.587629564
                        monthlyBaseline: 16282316.62023434
                        monthlyWeatherAdj: -22461828.00309664
                        useSavings: 62942300.17243886
                        costSavings: -81156836.01591104
                        costPerKwh: 96065775.08208582
                        projectedCost: 32191853.3848387
                        historicalBaseline: -87727260.33971949
                        historicalWeatherAdj: 55965201.22681245
                        carbonImpact: -73111776.74431999
                        actualUsage: -27365353.86962165
                        actualCost: 35043112.33222467
                        savedEnergyPayment: -46629989.27023927
                        retainedSavings: -72818250.28728974
                        month: -87008828
                        year: -29197503
        '400':
          description: Invalid ID supplied
        '401':
          description: Unauthorized - missing, invalid or expired token
        '403':
          description: Unauthorized access to id
      security:
        - TokenHeader: []
      servers:
        - url: https://mv.replace-me.example.com
          description: Measurement & Verification API (Postman variable {{invoice-api}})
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token returned by `POST /authenticate`. Expires after 60 minutes of
        inactivity.
    TokenHeader:
      type: apiKey
      in: header
      name: Token
      description: API token sent in the `Token` header.

````